Create a bank transfer

Creates a new bank transfer using the walletId and bankAccountId as counterparties. Most details are inferred from bankAccountId. The walletId and bankAccountId must be owned by the same enterpriseId.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Bank transfer details including amount, direction, and counterparties

Exactly one of amount or baseAmount must be provided. Providing both or neither will return a 400 error.

boolean
required

Whether the client has accepted the ACH authorization terms. Required for deposits (transferDirection: "in"). Must be true to initiate a deposit. See https://app.bitgo.com/my/ach-terms for institutional and retail clients, or https://app.bitgo.com/my/caas/ach-terms for CaaS.

string
length ≥ 1

The absolute value of the total amount of funds to be transferred as a decimal string (e.g., "500.00" for $500 USD). Include decimal places where applicable. Mutually exclusive with baseAmount.

boolean
Defaults to false

Whether to apply instant credit to the transfer.

string
required

The bank account to use. Determines the bank rails. Presently, only ACH accounts are supported.

string
length ≥ 1

The transfer amount in the currency's smallest unit as a string (e.g., "50000" for $500.00 USD, where the base unit is cents). The value is converted to a decimal using the currency's unit precision (e.g., 2 for USD, 0 for JPY). Mutually exclusive with amount.

string
required

Client-generated transfer ID. Serves as the idempotency key. Prefer UUID v4, v5, or v7.

string
enum
required

Supported transfer directions (extensible)

Allowed:
string
required
length ≥ 1

The Go Account wallet to use as counterparty.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json